org.hibernate.search.engine.metadata.impl

## Class PropertyMetadata.Builder

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.PropertyMetadata.Builder

- All Implemented Interfaces:
    PartialPropertyMetadata
  Enclosing class:
    PropertyMetadata

      public static class PropertyMetadata.Builder
      extends Object
      implements PartialPropertyMetadata

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(BackReference<TypeMetadata> declaringType, org.hibernate.annotations.common.reflection.XProperty propertyAccessor, Class<?> propertyClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyMetadata.Builder` | `addDocumentField(DocumentFieldMetadata documentFieldMetadata)`
    `PropertyMetadata.Builder` | `addSortableField(SortableFieldMetadata sortableField)`
    `PropertyMetadata` | `build()`
    `PropertyMetadata.Builder` | `dynamicBoostStrategy(BoostStrategy boostStrategy)`
    `Set<DocumentFieldMetadata>` | `getFieldMetadata()`
    `org.hibernate.annotations.common.reflection.XProperty` | `getPropertyAccessor()`
    `Class<?>` | `getPropertyClass()`
    `BackReference<PropertyMetadata>` | `getResultReference()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(BackReference<TypeMetadata> declaringType,
                         org.hibernate.annotations.common.reflection.XProperty propertyAccessor,
                         Class<?> propertyClass)

  - ### Method Detail

    - #### getPropertyClass

          public Class<?> getPropertyClass()

      Specified by:
        `getPropertyClass` in interface `PartialPropertyMetadata`

    - #### dynamicBoostStrategy

          public PropertyMetadata.Builder dynamicBoostStrategy(BoostStrategy boostStrategy)

    - #### addDocumentField

          public PropertyMetadata.Builder addDocumentField(DocumentFieldMetadata documentFieldMetadata)

    - #### addSortableField

          public PropertyMetadata.Builder addSortableField(SortableFieldMetadata sortableField)

    - #### getPropertyAccessor

          public org.hibernate.annotations.common.reflection.XProperty getPropertyAccessor()

    - #### getFieldMetadata

          public Set<DocumentFieldMetadata> getFieldMetadata()

    - #### getResultReference

          public BackReference<PropertyMetadata> getResultReference()

    - #### build

          public PropertyMetadata build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved